Loading...
Searching...
No Matches
mongocxx::v1::delete_many_result Class Reference

`#include <mongocxx/v1/delete_many_result.hpp>`

## Description

The result of a "deleteMany" operation.

See also
  - Delete Methods (MongoDB Manual)

## Public Member Functions

| delete_many_result (delete_many_result &&other) noexcept
| Move constructor.
| delete_many_result (delete_many_result const &other)
| Copy construction.
| ~delete_many_result ()
| Destroy this object.
std::int64_t | deleted_count () const
| Return the number of documents that were deleted.
delete_many_result & | operator= (delete_many_result &&other) noexcept
| Move assignment.
delete_many_result & | operator= (delete_many_result const &other)
| Copy assignment.
v1::bulk_write::result | result () const
| Return the raw bulk write result.

## Friends

bool | operator== (delete_many_result const &lhs, delete_many_result const &rhs)
| Compare equal when lhs.result() and rhs.result() compare equal.
bool | operator!= (delete_many_result const &lhs, delete_many_result const &rhs)
| Compare equal when lhs.result() and rhs.result() compare equal.

## Constructor & Destructor Documentation

## ~delete_many_result()

mongocxx::v1::delete_many_result::~delete_many_result | ( |  | ) |

Destroy this object.

Warning
  Invalidates all associated views.

## delete_many_result() [1/2]

mongocxx::v1::delete_many_result::delete_many_result | ( | delete_many_result && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## delete_many_result() [2/2]

mongocxx::v1::delete_many_result::delete_many_result | ( | delete_many_result const & | other | ) |

Copy construction.

## Member Function Documentation

## deleted_count()

std::int64_t mongocxx::v1::delete_many_result::deleted_count | ( |  | ) | const

Return the number of documents that were deleted.

## operator=() [1/2]

delete_many_result & mongocxx::v1::delete_many_result::operator= | ( | delete_many_result && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

delete_many_result & mongocxx::v1::delete_many_result::operator= | ( | delete_many_result const & | other | ) |

Copy assignment.

## result()

v1::bulk_write::result mongocxx::v1::delete_many_result::result | ( |  | ) | const

Return the raw bulk write result.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | delete_many_result const & | lhs,
|  | delete_many_result const & | rhs )

friend

Compare equal when lhs.result() and rhs.result() compare equal.

## operator==

bool operator== | ( | delete_many_result const & | lhs,
|  | delete_many_result const & | rhs )

friend

Compare equal when lhs.result() and rhs.result() compare equal.

The documentation for this class was generated from the following file:

- mongocxx/v1/delete_many_result.hpp